Bug 52197 - Cyrix 5530 Chipset has IDE problems with DMA enabled
Cyrix 5530 Chipset has IDE problems with DMA enabled
Status: CLOSED CURRENTRELEASE
Product: Red Hat Linux
Classification: Retired
Component: kernel (Show other bugs)
7.1
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Arjan van de Ven
Brock Organ
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-08-21 13:10 EDT by Ed Bailey
Modified: 2007-04-18 12:36 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-12-15 23:16:08 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
dmesg output and /proc/ide information (1.87 KB, text/plain)
2001-08-21 13:12 EDT, Ed Bailey
no flags Details

  None (edit)
Description Ed Bailey 2001-08-21 13:10:27 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:0.9.3) Gecko/20010802

Description of problem:
A system containing the CS5530 chipset experiences IDE-related problems
(anaconda unable to start from CD, DMA timeouts on heavy HD activity) when
DMA is enabled.  With DMA disabled (with either "ide=nodma" or via hdparm
-d 0), the problems disappear.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1.Attempt to boot from the 7.1 CD


Actual Results:  Anaconda under X would never start.  Complained about
corrupt shared libraries.


Expected Results:  Anaconda should have started under X.  Booting with
ide=nodma allows this to happen.


Additional info:

This was with the updated 7.1 kernel (2.4.3-12)  I'll attach a file
containing dmesg output and select entries from /proc/ide...
Comment 1 Ed Bailey 2001-08-21 13:12:51 EDT
Created attachment 28754 [details]
dmesg output and /proc/ide information

Note You need to log in before you can comment on or make changes to this bug.